Bug 523110 - autoincrement bustage on column redefinition
autoincrement bustage on column redefinition
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hsqldb (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Blocker/F12FinalBlocker
  Show dependency treegraph
 
Reported: 2009-09-14 03:49 EDT by Caolan McNamara
Modified: 2013-01-10 00:28 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-29 04:42:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to fix (1.82 KB, patch)
2009-09-14 03:49 EDT, Caolan McNamara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 104901 None None None Never

  None (edit)
Description Caolan McNamara 2009-09-14 03:49:38 EDT
Created attachment 360890 [details]
patch to fix

Description of problem:


Version-Release number of selected component (if applicable):
Affects OpenOffice.org base according to full details at http://www.openoffice.org/issues/show_bug.cgi?id=104901

How reproducible:
100%
Comment 1 Jesse Keating 2009-10-21 18:04:16 EDT
In what way does this break things, why would we delay the release for this?
Comment 2 Caolan McNamara 2009-10-22 05:18:42 EDT
The openoffice.org database gui is broken when it comes to entering values into the database. The indexes don't increment sequentially correctly throwing out various errors and warnings and making it unusable.

The patch was applied to hsqldb around September, not applying it keeps our openoffice.org base broken and out of sync with the "vanilla" 3.1.1
Comment 3 Jesse Keating 2009-10-22 13:58:39 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=1763415 has the patches.  Please test and if good, request tagging for F12.
Comment 4 Caolan McNamara 2009-10-29 04:42:58 EDT
available in dist-f12

Note You need to log in before you can comment on or make changes to this bug.